You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@tvm.apache.org by GitBox <gi...@apache.org> on 2022/02/15 01:13:46 UTC

[GitHub] [tvm] driazati opened a new pull request #10247: Update CI to Python 3.7 and Ubuntu 18

driazati opened a new pull request #10247:
URL: https://github.com/apache/tvm/pull/10247


   This updates the docker image build to use Python 3.7 and Ubuntu 18 as discussed in #9703. The update is mostly straightforward except that the `apt` boost isn't built with 3.7 so we must now build it from source.
   
   Thanks for contributing to TVM!   Please refer to guideline https://tvm.apache.org/docs/contribute/ for useful information and tips. After the pull request is submitted, please request code reviews from [Reviewers](https://github.com/apache/incubator-tvm/blob/master/CONTRIBUTORS.md#reviewers) by @ them in the pull request thread.
   


-- 
This is an automated message from the Apache Git Service.
To respond to the message, please log on to GitHub and use the
URL above to go to the specific comment.

To unsubscribe, e-mail: commits-unsubscribe@tvm.apache.org

For queries about this service, please contact Infrastructure at:
users@infra.apache.org



[GitHub] [tvm] mshr-h commented on a change in pull request #10247: [docker] Update CI to Python 3.7 and Ubuntu 18

Posted by GitBox <gi...@apache.org>.
mshr-h commented on a change in pull request #10247:
URL: https://github.com/apache/tvm/pull/10247#discussion_r806643624



##########
File path: docker/install/ubuntu_install_boost.sh
##########
@@ -0,0 +1,30 @@
+#!/bin/bash
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements.  See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership.  The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License.  You may obtain a copy of the License at
+#
+#   http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied.  See the License for the
+# specific language governing permissions and limitations
+# under the License.
+
+set -euxo pipefail
+
+curl -LO https://boostorg.jfrog.io/artifactory/main/release/1.67.0/source/boost_1_67_0.tar.gz
+tar -xf boost_1_67_0.tar.gz

Review comment:
       `boost_1_67_0.tar.gz` and `boost_1_67_0/`directory should be removed on exit because we don't need them for CI.




-- 
This is an automated message from the Apache Git Service.
To respond to the message, please log on to GitHub and use the
URL above to go to the specific comment.

To unsubscribe, e-mail: commits-unsubscribe@tvm.apache.org

For queries about this service, please contact Infrastructure at:
users@infra.apache.org



[GitHub] [tvm] Mousius commented on a change in pull request #10247: [docker] Update CI to Python 3.7 and Ubuntu 18

Posted by GitBox <gi...@apache.org>.
Mousius commented on a change in pull request #10247:
URL: https://github.com/apache/tvm/pull/10247#discussion_r806651882



##########
File path: docker/install/ubuntu_install_boost.sh
##########
@@ -0,0 +1,30 @@
+#!/bin/bash
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements.  See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership.  The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License.  You may obtain a copy of the License at
+#
+#   http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied.  See the License for the
+# specific language governing permissions and limitations
+# under the License.
+
+set -euxo pipefail
+
+curl -LO https://boostorg.jfrog.io/artifactory/main/release/1.67.0/source/boost_1_67_0.tar.gz

Review comment:
       Do we need `-L` here? It'd be better to not follow redirects if we can avoid it, otherwise can we add a hash check similar to:
   https://github.com/apache/tvm/blob/b8851fc3ac7488bba536734acb60ed62c9159cf6/docker/install/ubuntu_install_freertos.sh#L43

##########
File path: docker/install/ubuntu1804_install_python.sh
##########
@@ -23,10 +23,10 @@ set -o pipefail
 # install python and pip, don't modify this, modify install_python_package.sh
 apt-get update
 apt-get install -y software-properties-common
-apt-get install -y python3-dev python3-setuptools
+apt-get install -y python3.7 python3.7-dev python3-pip
 
 # Install pip
-cd /tmp && wget -q https://bootstrap.pypa.io/pip/3.6/get-pip.py && python3 get-pip.py
+update-alternatives --install /usr/bin/python3 python3 /usr/bin/python3.7 1
 
 # Pin pip and setuptools versions
 pip3 install pip==19.3.1 setuptools==58.4.0

Review comment:
       If we're updating these, is it possible to figure out how to securely install them?




-- 
This is an automated message from the Apache Git Service.
To respond to the message, please log on to GitHub and use the
URL above to go to the specific comment.

To unsubscribe, e-mail: commits-unsubscribe@tvm.apache.org

For queries about this service, please contact Infrastructure at:
users@infra.apache.org



[GitHub] [tvm] leandron commented on a change in pull request #10247: [docker] Update CI to Python 3.7 and Ubuntu 18

Posted by GitBox <gi...@apache.org>.
leandron commented on a change in pull request #10247:
URL: https://github.com/apache/tvm/pull/10247#discussion_r806665488



##########
File path: docker/install/ubuntu1804_install_python.sh
##########
@@ -23,10 +23,10 @@ set -o pipefail
 # install python and pip, don't modify this, modify install_python_package.sh
 apt-get update
 apt-get install -y software-properties-common
-apt-get install -y python3-dev python3-setuptools
+apt-get install -y python3.7 python3.7-dev python3-pip
 
 # Install pip
-cd /tmp && wget -q https://bootstrap.pypa.io/pip/3.6/get-pip.py && python3 get-pip.py
+update-alternatives --install /usr/bin/python3 python3 /usr/bin/python3.7 1
 
 # Pin pip and setuptools versions
 pip3 install pip==19.3.1 setuptools==58.4.0

Review comment:
       In moving to Python 3.7, do we still need to have this pinned to these version or can we pin them to something newer?

##########
File path: docker/install/ubuntu_install_llvm.sh
##########
@@ -46,4 +47,4 @@ echo deb-src http://apt.llvm.org/xenial/ llvm-toolchain-xenial main\
      >> /etc/apt/sources.list.d/llvm.list
 
 wget -q -O - http://apt.llvm.org/llvm-snapshot.gpg.key|sudo apt-key add -
-apt-get update && apt-get install -y llvm-4.0 llvm-9 llvm-8 llvm-7 clang-9 libclang-9-dev clang-8 libclang-8-dev clang-7 libclang-7-dev
+apt-get install -y llvm-4.0 llvm-9 llvm-8 llvm-7 clang-9 libclang-9-dev clang-8 libclang-8-dev clang-7 libclang-7-dev

Review comment:
       Maybe a separate issue, but do we still need LLVM 4?

##########
File path: docker/install/ubuntu_install_caffe.sh
##########
@@ -16,17 +16,15 @@
 # specific language governing permissions and limitations
 # under the License.
 
-set -e
-set -u
-set -o pipefail
+set -euxo pipefail

Review comment:
       I suggest keeping the pattern we have in other script and avoid the `-x` unless debugging.

##########
File path: docker/install/ubuntu_install_boost.sh
##########
@@ -0,0 +1,30 @@
+#!/bin/bash
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements.  See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership.  The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License.  You may obtain a copy of the License at
+#
+#   http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied.  See the License for the
+# specific language governing permissions and limitations
+# under the License.
+
+set -euxo pipefail
+
+curl -LO https://boostorg.jfrog.io/artifactory/main/release/1.67.0/source/boost_1_67_0.tar.gz
+tar -xf boost_1_67_0.tar.gz

Review comment:
       Good point. I'd suggest using the little `trap cleanup` template, similar to what we have in other scripts:
   
   https://github.com/apache/tvm/blob/0009a308d82a321f2399923ab14b4c088461b4f2/docker/install/ubuntu_download_arm_compute_lib_binaries.sh#L45-L54
   
   This will have a few hundred MB in storage, to our already quite bg Docker image.




-- 
This is an automated message from the Apache Git Service.
To respond to the message, please log on to GitHub and use the
URL above to go to the specific comment.

To unsubscribe, e-mail: commits-unsubscribe@tvm.apache.org

For queries about this service, please contact Infrastructure at:
users@infra.apache.org



[GitHub] [tvm] Mousius commented on pull request #10247: [docker] Update CI to Python 3.7 and Ubuntu 18

Posted by GitBox <gi...@apache.org>.
Mousius commented on pull request #10247:
URL: https://github.com/apache/tvm/pull/10247#issuecomment-1046713198


   Thanks for this @driazati, looking forward to these images :smile_cat: 


-- 
This is an automated message from the Apache Git Service.
To respond to the message, please log on to GitHub and use the
URL above to go to the specific comment.

To unsubscribe, e-mail: commits-unsubscribe@tvm.apache.org

For queries about this service, please contact Infrastructure at:
users@infra.apache.org



[GitHub] [tvm] leandron commented on a change in pull request #10247: [docker] Update CI to Python 3.7 and Ubuntu 18

Posted by GitBox <gi...@apache.org>.
leandron commented on a change in pull request #10247:
URL: https://github.com/apache/tvm/pull/10247#discussion_r806665488



##########
File path: docker/install/ubuntu1804_install_python.sh
##########
@@ -23,10 +23,10 @@ set -o pipefail
 # install python and pip, don't modify this, modify install_python_package.sh
 apt-get update
 apt-get install -y software-properties-common
-apt-get install -y python3-dev python3-setuptools
+apt-get install -y python3.7 python3.7-dev python3-pip
 
 # Install pip
-cd /tmp && wget -q https://bootstrap.pypa.io/pip/3.6/get-pip.py && python3 get-pip.py
+update-alternatives --install /usr/bin/python3 python3 /usr/bin/python3.7 1
 
 # Pin pip and setuptools versions
 pip3 install pip==19.3.1 setuptools==58.4.0

Review comment:
       In moving to Python 3.7, do we still need to have this pinned to these version or can we pin them to something newer?

##########
File path: docker/install/ubuntu_install_llvm.sh
##########
@@ -46,4 +47,4 @@ echo deb-src http://apt.llvm.org/xenial/ llvm-toolchain-xenial main\
      >> /etc/apt/sources.list.d/llvm.list
 
 wget -q -O - http://apt.llvm.org/llvm-snapshot.gpg.key|sudo apt-key add -
-apt-get update && apt-get install -y llvm-4.0 llvm-9 llvm-8 llvm-7 clang-9 libclang-9-dev clang-8 libclang-8-dev clang-7 libclang-7-dev
+apt-get install -y llvm-4.0 llvm-9 llvm-8 llvm-7 clang-9 libclang-9-dev clang-8 libclang-8-dev clang-7 libclang-7-dev

Review comment:
       Maybe a separate issue, but do we still need LLVM 4?

##########
File path: docker/install/ubuntu_install_caffe.sh
##########
@@ -16,17 +16,15 @@
 # specific language governing permissions and limitations
 # under the License.
 
-set -e
-set -u
-set -o pipefail
+set -euxo pipefail

Review comment:
       I suggest keeping the pattern we have in other script and avoid the `-x` unless debugging.

##########
File path: docker/install/ubuntu_install_boost.sh
##########
@@ -0,0 +1,30 @@
+#!/bin/bash
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements.  See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership.  The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License.  You may obtain a copy of the License at
+#
+#   http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied.  See the License for the
+# specific language governing permissions and limitations
+# under the License.
+
+set -euxo pipefail
+
+curl -LO https://boostorg.jfrog.io/artifactory/main/release/1.67.0/source/boost_1_67_0.tar.gz
+tar -xf boost_1_67_0.tar.gz

Review comment:
       Good point. I'd suggest using the little `trap cleanup` template, similar to what we have in other scripts:
   
   https://github.com/apache/tvm/blob/0009a308d82a321f2399923ab14b4c088461b4f2/docker/install/ubuntu_download_arm_compute_lib_binaries.sh#L45-L54
   
   This will have a few hundred MB in storage, to our already quite bg Docker image.

##########
File path: docker/install/ubuntu_install_boost.sh
##########
@@ -0,0 +1,30 @@
+#!/bin/bash
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements.  See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership.  The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License.  You may obtain a copy of the License at
+#
+#   http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied.  See the License for the
+# specific language governing permissions and limitations
+# under the License.
+
+set -euxo pipefail
+
+curl -LO https://boostorg.jfrog.io/artifactory/main/release/1.67.0/source/boost_1_67_0.tar.gz
+tar -xf boost_1_67_0.tar.gz

Review comment:
       Good point. I'd suggest using the little `trap cleanup` template, similar to what we have in other scripts:
   
   https://github.com/apache/tvm/blob/0009a308d82a321f2399923ab14b4c088461b4f2/docker/install/ubuntu_download_arm_compute_lib_binaries.sh#L45-L54
   
   This will save a few hundred MB in storage, to our already quite bg Docker image.

##########
File path: docker/install/ubuntu_install_boost.sh
##########
@@ -0,0 +1,30 @@
+#!/bin/bash
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements.  See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership.  The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License.  You may obtain a copy of the License at
+#
+#   http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied.  See the License for the
+# specific language governing permissions and limitations
+# under the License.
+
+set -euxo pipefail
+
+curl -LO https://boostorg.jfrog.io/artifactory/main/release/1.67.0/source/boost_1_67_0.tar.gz
+tar -xf boost_1_67_0.tar.gz

Review comment:
       Good point. I'd suggest using the little `trap cleanup` template, similar to what we have in other scripts:
   
   https://github.com/apache/tvm/blob/0009a308d82a321f2399923ab14b4c088461b4f2/docker/install/ubuntu_download_arm_compute_lib_binaries.sh#L45-L54
   
   This will save a few hundred MB in storage, to our already quite big Docker image.




-- 
This is an automated message from the Apache Git Service.
To respond to the message, please log on to GitHub and use the
URL above to go to the specific comment.

To unsubscribe, e-mail: commits-unsubscribe@tvm.apache.org

For queries about this service, please contact Infrastructure at:
users@infra.apache.org



[GitHub] [tvm] driazati commented on a change in pull request #10247: [docker] Update CI to Python 3.7 and Ubuntu 18

Posted by GitBox <gi...@apache.org>.
driazati commented on a change in pull request #10247:
URL: https://github.com/apache/tvm/pull/10247#discussion_r807306364



##########
File path: docker/install/ubuntu1804_install_python.sh
##########
@@ -23,10 +23,10 @@ set -o pipefail
 # install python and pip, don't modify this, modify install_python_package.sh
 apt-get update
 apt-get install -y software-properties-common
-apt-get install -y python3-dev python3-setuptools
+apt-get install -y python3.7 python3.7-dev python3-pip
 
 # Install pip
-cd /tmp && wget -q https://bootstrap.pypa.io/pip/3.6/get-pip.py && python3 get-pip.py
+update-alternatives --install /usr/bin/python3 python3 /usr/bin/python3.7 1
 
 # Pin pip and setuptools versions
 pip3 install pip==19.3.1 setuptools==58.4.0

Review comment:
       updated to the current versions and added a hash check (we can do a follow up PR to do the same for the other Python dependencies)




-- 
This is an automated message from the Apache Git Service.
To respond to the message, please log on to GitHub and use the
URL above to go to the specific comment.

To unsubscribe, e-mail: commits-unsubscribe@tvm.apache.org

For queries about this service, please contact Infrastructure at:
users@infra.apache.org



[GitHub] [tvm] Mousius commented on a change in pull request #10247: [docker] Update CI to Python 3.7 and Ubuntu 18

Posted by GitBox <gi...@apache.org>.
Mousius commented on a change in pull request #10247:
URL: https://github.com/apache/tvm/pull/10247#discussion_r806651882



##########
File path: docker/install/ubuntu_install_boost.sh
##########
@@ -0,0 +1,30 @@
+#!/bin/bash
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements.  See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership.  The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License.  You may obtain a copy of the License at
+#
+#   http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied.  See the License for the
+# specific language governing permissions and limitations
+# under the License.
+
+set -euxo pipefail
+
+curl -LO https://boostorg.jfrog.io/artifactory/main/release/1.67.0/source/boost_1_67_0.tar.gz

Review comment:
       Do we need `-L` here? It'd be better to not follow redirects if we can avoid it, otherwise can we add a hash check similar to:
   https://github.com/apache/tvm/blob/b8851fc3ac7488bba536734acb60ed62c9159cf6/docker/install/ubuntu_install_freertos.sh#L43




-- 
This is an automated message from the Apache Git Service.
To respond to the message, please log on to GitHub and use the
URL above to go to the specific comment.

To unsubscribe, e-mail: commits-unsubscribe@tvm.apache.org

For queries about this service, please contact Infrastructure at:
users@infra.apache.org



[GitHub] [tvm] Mousius commented on a change in pull request #10247: [docker] Update CI to Python 3.7 and Ubuntu 18

Posted by GitBox <gi...@apache.org>.
Mousius commented on a change in pull request #10247:
URL: https://github.com/apache/tvm/pull/10247#discussion_r806684111



##########
File path: docker/install/ubuntu1804_install_python.sh
##########
@@ -23,10 +23,10 @@ set -o pipefail
 # install python and pip, don't modify this, modify install_python_package.sh
 apt-get update
 apt-get install -y software-properties-common
-apt-get install -y python3-dev python3-setuptools
+apt-get install -y python3.7 python3.7-dev python3-pip
 
 # Install pip
-cd /tmp && wget -q https://bootstrap.pypa.io/pip/3.6/get-pip.py && python3 get-pip.py
+update-alternatives --install /usr/bin/python3 python3 /usr/bin/python3.7 1
 
 # Pin pip and setuptools versions
 pip3 install pip==19.3.1 setuptools==58.4.0

Review comment:
       If we're updating these, is it possible to figure out how to securely install them?




-- 
This is an automated message from the Apache Git Service.
To respond to the message, please log on to GitHub and use the
URL above to go to the specific comment.

To unsubscribe, e-mail: commits-unsubscribe@tvm.apache.org

For queries about this service, please contact Infrastructure at:
users@infra.apache.org



[GitHub] [tvm] driazati commented on a change in pull request #10247: [docker] Update CI to Python 3.7 and Ubuntu 18

Posted by GitBox <gi...@apache.org>.
driazati commented on a change in pull request #10247:
URL: https://github.com/apache/tvm/pull/10247#discussion_r810250393



##########
File path: docker/install/ubuntu_install_caffe.sh
##########
@@ -16,17 +16,15 @@
 # specific language governing permissions and limitations
 # under the License.
 
-set -e
-set -u
-set -o pipefail
+set -euxo pipefail

Review comment:
       Yeah makes sense, I'll leave this one since it's not worth running through CI again but I filed #10316 to track follow ups




-- 
This is an automated message from the Apache Git Service.
To respond to the message, please log on to GitHub and use the
URL above to go to the specific comment.

To unsubscribe, e-mail: commits-unsubscribe@tvm.apache.org

For queries about this service, please contact Infrastructure at:
users@infra.apache.org



[GitHub] [tvm] leandron commented on a change in pull request #10247: [docker] Update CI to Python 3.7 and Ubuntu 18

Posted by GitBox <gi...@apache.org>.
leandron commented on a change in pull request #10247:
URL: https://github.com/apache/tvm/pull/10247#discussion_r806667580



##########
File path: docker/install/ubuntu_install_boost.sh
##########
@@ -0,0 +1,30 @@
+#!/bin/bash
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements.  See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership.  The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License.  You may obtain a copy of the License at
+#
+#   http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied.  See the License for the
+# specific language governing permissions and limitations
+# under the License.
+
+set -euxo pipefail
+
+curl -LO https://boostorg.jfrog.io/artifactory/main/release/1.67.0/source/boost_1_67_0.tar.gz
+tar -xf boost_1_67_0.tar.gz

Review comment:
       Good point. I'd suggest using the little `trap cleanup` template, similar to what we have in other scripts:
   
   https://github.com/apache/tvm/blob/0009a308d82a321f2399923ab14b4c088461b4f2/docker/install/ubuntu_download_arm_compute_lib_binaries.sh#L45-L54
   
   This will save a few hundred MB in storage, to our already quite bg Docker image.

##########
File path: docker/install/ubuntu_install_boost.sh
##########
@@ -0,0 +1,30 @@
+#!/bin/bash
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements.  See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership.  The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License.  You may obtain a copy of the License at
+#
+#   http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied.  See the License for the
+# specific language governing permissions and limitations
+# under the License.
+
+set -euxo pipefail
+
+curl -LO https://boostorg.jfrog.io/artifactory/main/release/1.67.0/source/boost_1_67_0.tar.gz
+tar -xf boost_1_67_0.tar.gz

Review comment:
       Good point. I'd suggest using the little `trap cleanup` template, similar to what we have in other scripts:
   
   https://github.com/apache/tvm/blob/0009a308d82a321f2399923ab14b4c088461b4f2/docker/install/ubuntu_download_arm_compute_lib_binaries.sh#L45-L54
   
   This will save a few hundred MB in storage, to our already quite big Docker image.




-- 
This is an automated message from the Apache Git Service.
To respond to the message, please log on to GitHub and use the
URL above to go to the specific comment.

To unsubscribe, e-mail: commits-unsubscribe@tvm.apache.org

For queries about this service, please contact Infrastructure at:
users@infra.apache.org



[GitHub] [tvm] mshr-h commented on a change in pull request #10247: [docker] Update CI to Python 3.7 and Ubuntu 18

Posted by GitBox <gi...@apache.org>.
mshr-h commented on a change in pull request #10247:
URL: https://github.com/apache/tvm/pull/10247#discussion_r806643624



##########
File path: docker/install/ubuntu_install_boost.sh
##########
@@ -0,0 +1,30 @@
+#!/bin/bash
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements.  See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership.  The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License.  You may obtain a copy of the License at
+#
+#   http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied.  See the License for the
+# specific language governing permissions and limitations
+# under the License.
+
+set -euxo pipefail
+
+curl -LO https://boostorg.jfrog.io/artifactory/main/release/1.67.0/source/boost_1_67_0.tar.gz
+tar -xf boost_1_67_0.tar.gz

Review comment:
       `boost_1_67_0.tar.gz` and `boost_1_67_0/`directory should be removed because we don't need them.

##########
File path: docker/install/ubuntu_install_boost.sh
##########
@@ -0,0 +1,30 @@
+#!/bin/bash
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements.  See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership.  The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License.  You may obtain a copy of the License at
+#
+#   http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied.  See the License for the
+# specific language governing permissions and limitations
+# under the License.
+
+set -euxo pipefail
+
+curl -LO https://boostorg.jfrog.io/artifactory/main/release/1.67.0/source/boost_1_67_0.tar.gz
+tar -xf boost_1_67_0.tar.gz

Review comment:
       `boost_1_67_0.tar.gz` and `boost_1_67_0/`directory should be removed on exit because we don't need them.

##########
File path: docker/install/ubuntu_install_boost.sh
##########
@@ -0,0 +1,30 @@
+#!/bin/bash
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements.  See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership.  The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License.  You may obtain a copy of the License at
+#
+#   http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied.  See the License for the
+# specific language governing permissions and limitations
+# under the License.
+
+set -euxo pipefail
+
+curl -LO https://boostorg.jfrog.io/artifactory/main/release/1.67.0/source/boost_1_67_0.tar.gz
+tar -xf boost_1_67_0.tar.gz

Review comment:
       `boost_1_67_0.tar.gz` and `boost_1_67_0/`directory should be removed on exit because we don't need them for CI.




-- 
This is an automated message from the Apache Git Service.
To respond to the message, please log on to GitHub and use the
URL above to go to the specific comment.

To unsubscribe, e-mail: commits-unsubscribe@tvm.apache.org

For queries about this service, please contact Infrastructure at:
users@infra.apache.org



[GitHub] [tvm] mshr-h commented on a change in pull request #10247: [docker] Update CI to Python 3.7 and Ubuntu 18

Posted by GitBox <gi...@apache.org>.
mshr-h commented on a change in pull request #10247:
URL: https://github.com/apache/tvm/pull/10247#discussion_r806643624



##########
File path: docker/install/ubuntu_install_boost.sh
##########
@@ -0,0 +1,30 @@
+#!/bin/bash
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements.  See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership.  The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License.  You may obtain a copy of the License at
+#
+#   http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied.  See the License for the
+# specific language governing permissions and limitations
+# under the License.
+
+set -euxo pipefail
+
+curl -LO https://boostorg.jfrog.io/artifactory/main/release/1.67.0/source/boost_1_67_0.tar.gz
+tar -xf boost_1_67_0.tar.gz

Review comment:
       `boost_1_67_0.tar.gz` and `boost_1_67_0/`directory should be removed on exit because we don't need them.




-- 
This is an automated message from the Apache Git Service.
To respond to the message, please log on to GitHub and use the
URL above to go to the specific comment.

To unsubscribe, e-mail: commits-unsubscribe@tvm.apache.org

For queries about this service, please contact Infrastructure at:
users@infra.apache.org



[GitHub] [tvm] driazati commented on a change in pull request #10247: [docker] Update CI to Python 3.7 and Ubuntu 18

Posted by GitBox <gi...@apache.org>.
driazati commented on a change in pull request #10247:
URL: https://github.com/apache/tvm/pull/10247#discussion_r807296364



##########
File path: docker/install/ubuntu_install_caffe.sh
##########
@@ -16,17 +16,15 @@
 # specific language governing permissions and limitations
 # under the License.
 
-set -e
-set -u
-set -o pipefail
+set -euxo pipefail

Review comment:
       any reason not to `-x` everywhere? The docker image build output is already huge so saving a few lines here and there doesn't seem worth it, especially when the output is pretty useful in places like CI (i.e see exactly what ran when a build task failed).




-- 
This is an automated message from the Apache Git Service.
To respond to the message, please log on to GitHub and use the
URL above to go to the specific comment.

To unsubscribe, e-mail: commits-unsubscribe@tvm.apache.org

For queries about this service, please contact Infrastructure at:
users@infra.apache.org



[GitHub] [tvm] leandron commented on a change in pull request #10247: [docker] Update CI to Python 3.7 and Ubuntu 18

Posted by GitBox <gi...@apache.org>.
leandron commented on a change in pull request #10247:
URL: https://github.com/apache/tvm/pull/10247#discussion_r810272897



##########
File path: docker/install/ubuntu_install_caffe.sh
##########
@@ -16,17 +16,15 @@
 # specific language governing permissions and limitations
 # under the License.
 
-set -e
-set -u
-set -o pipefail
+set -euxo pipefail

Review comment:
       I agree with that.




-- 
This is an automated message from the Apache Git Service.
To respond to the message, please log on to GitHub and use the
URL above to go to the specific comment.

To unsubscribe, e-mail: commits-unsubscribe@tvm.apache.org

For queries about this service, please contact Infrastructure at:
users@infra.apache.org



[GitHub] [tvm] leandron commented on a change in pull request #10247: [docker] Update CI to Python 3.7 and Ubuntu 18

Posted by GitBox <gi...@apache.org>.
leandron commented on a change in pull request #10247:
URL: https://github.com/apache/tvm/pull/10247#discussion_r809886120



##########
File path: docker/install/ubuntu_install_caffe.sh
##########
@@ -16,17 +16,15 @@
 # specific language governing permissions and limitations
 # under the License.
 
-set -e
-set -u
-set -o pipefail
+set -euxo pipefail

Review comment:
       I agree it is useful, but I think it is important we have a standard. At this point none/some of them have `-x` (I didn’t check)? Perhaps we should move to having it in all scripts in a separate PR?




-- 
This is an automated message from the Apache Git Service.
To respond to the message, please log on to GitHub and use the
URL above to go to the specific comment.

To unsubscribe, e-mail: commits-unsubscribe@tvm.apache.org

For queries about this service, please contact Infrastructure at:
users@infra.apache.org



[GitHub] [tvm] Mousius merged pull request #10247: [docker] Update CI to Python 3.7 and Ubuntu 18

Posted by GitBox <gi...@apache.org>.
Mousius merged pull request #10247:
URL: https://github.com/apache/tvm/pull/10247


   


-- 
This is an automated message from the Apache Git Service.
To respond to the message, please log on to GitHub and use the
URL above to go to the specific comment.

To unsubscribe, e-mail: commits-unsubscribe@tvm.apache.org

For queries about this service, please contact Infrastructure at:
users@infra.apache.org



[GitHub] [tvm] mshr-h commented on a change in pull request #10247: [docker] Update CI to Python 3.7 and Ubuntu 18

Posted by GitBox <gi...@apache.org>.
mshr-h commented on a change in pull request #10247:
URL: https://github.com/apache/tvm/pull/10247#discussion_r806643624



##########
File path: docker/install/ubuntu_install_boost.sh
##########
@@ -0,0 +1,30 @@
+#!/bin/bash
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements.  See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership.  The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License.  You may obtain a copy of the License at
+#
+#   http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied.  See the License for the
+# specific language governing permissions and limitations
+# under the License.
+
+set -euxo pipefail
+
+curl -LO https://boostorg.jfrog.io/artifactory/main/release/1.67.0/source/boost_1_67_0.tar.gz
+tar -xf boost_1_67_0.tar.gz

Review comment:
       `boost_1_67_0.tar.gz` and `boost_1_67_0/`directory should be removed because we don't need them.




-- 
This is an automated message from the Apache Git Service.
To respond to the message, please log on to GitHub and use the
URL above to go to the specific comment.

To unsubscribe, e-mail: commits-unsubscribe@tvm.apache.org

For queries about this service, please contact Infrastructure at:
users@infra.apache.org